package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.AttMedBase;

/**
 * 多媒体基础信息 数据层
 */
@Mapper
public interface AttMedBaseMapper {

    /**
     * 查询多媒体基础信息信息
     * @param guid 查询条件
     * @return 多媒体基础信息信息
     */
    AttMedBase selectAttMedBaseByGuid(String guid);

    /**
     * 查询多媒体基础信息列表
     * @param attMedBase 多媒体基础信息查询条件
     * @return 多媒体基础信息集合
     */
    List<AttMedBase> selectAttMedBaseList(AttMedBase attMedBase);

    /**
     * 新增多媒体基础信息
     * @param attMedBase 多媒体基础信息信息
     * @return 影响行数
     */
    int insertAttMedBase(AttMedBase attMedBase);

    /**
     * 修改多媒体基础信息
     * @param attMedBase 多媒体基础信息信息
     * @return 影响行数
     */
    int updateAttMedBase(AttMedBase attMedBase);

    /**
     * 删除多媒体基础信息
     * @param guid 多媒体基础信息主键
     * @return 影响行数
     */
    int deleteAttMedBaseByGuid(String guid);

    /**
     * 批量删除多媒体基础信息
     * @param guids 多媒体基础信息主键数组
     * @return 影响行数
     */
    int deleteAttMedBaseByGuids(String[] guids);
}
